/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_SIDEBAR_H
#define OCARINA_GUI_SIDEBAR_H

enum sidebar_selection_t {
	SB_COLLECTION,
	SB_PLAYLIST,
	SB_SIDEBAR,
};

/* Called to initialize the sidebar. */
void gui_sidebar_init();

/* Called when a row in the sidebar is selected. */
gboolean gui_sidebar_on_select(GtkTreeSelection *, GtkTreeModel *,
				GtkTreePath *path, gboolean, gpointer);

/* Called to tell the sidebar that the selection has changed. */
void gui_sidebar_selected(enum sidebar_selection_t);

#endif /* OCARINA_GUI_SIDEBAR_H */
